Bug 105842 - net-snmp-perl UseNumeric broken...
Summary: net-snmp-perl UseNumeric broken...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL: http://sf.net/tracker/?func=detail&ai...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-28 11:21 UTC by Terje Bless
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 12:15:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Terje Bless 2003-09-28 11:21:41 UTC
The Perl interface to NET-SNMP, from the net-snmp-perl RPM, suffers from an
(showstopper) upstream bug in all versions <=5.0.9.

When net-snmp's output options are set to "UseNumeric" from the Perl interface,
the ->tag and ->iid members of the returned VarBind are empty making getnext()
impossible (i.e. you can't easily reimplement snmpwalk functionality).

There is a patch (at the "URL" for this bug) against net-snmp 5.0.9 which will
go into the next upstream release, but since that is quite a ways away it would
be a good idea to add this patch to the Fedora Core RPMs.

Comment 1 Terje Bless 2003-09-28 12:10:59 UTC
And, BTW, upgrading the net-snmp package to 5.0.9 to make the patch apply more
easily would probably not be a bad idea either. 5.0.9 was security fix release
unless I'm much mistaken.

Comment 2 Phil Knirsch 2003-09-29 07:54:51 UTC
Will update today.

Thanks,

Read ya, Phil

Comment 3 Phil Knirsch 2003-09-29 12:15:51 UTC
Fixed in rawhide now. net-snmp-5.0.9-1 should hit the street real soon. :-)

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.